
%define name    fwbuilder
%define version 2.1.19
%define release 1
%define BUILD_VERSION 21

%if "%_vendor" == "MandrakeSoft"
%define guigroup  System/Configuration/Networking
%define compgroup System/Configuration/Networking
%else
%define guigroup  Applications/System
%define compgroup Applications/System
%endif

Summary:        Firewall Builder
Name:           %{name}
Version:        %{version}
Release:        2.1
License:        GPL2
Group:          %{guigroup}
Url:            http://www.fwbuilder.org/
Source:         %{name}-%{version}.tar.gz
Patch:		%{name}-includes.diff
Packager:       Carsten Schoene <cs@linux-administrator.com>

Buildroot:      %{_tmppath}/%{name}-%{version}-root

Requires:      libfwbuilder2 = 2.1.19
BuildRequires: libfwbuilder2-devel = 2.1.19 glibc-devel libgcc gcc gcc-c++ libxml2 libxml2-devel libxslt libxslt-devel openssl openssl-devel qt3-devel net-snmp net-snmp-devel
%if 0%{?suse_version}
BuildRequires: tcpd tcpd-devel
%endif
%if 0%{?fedora_version}
BuildRequires: tcp_wrappers
%endif


Docdir:         /usr/share/doc

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%prep

%setup 
%patch
%build
[ -n "$QTDIR" ] || {
  [ -f %{_sysconfdir}/profile.d/qt.sh ] && . %{_sysconfdir}/profile.d/qt.sh
  [ -f %{_sysconfdir}/profile.d/qtdir3.sh ] && . %{_sysconfdir}/profile.d/qtdir3.sh
  [ -f %{_sysconfdir}/SuSEconfig/profile ] && . %{_sysconfdir}/SuSEconfig/profile
}
%configure --prefix=/usr/
make all

%install
[ -n "$QTDIR" ] || {
  [ -f %{_sysconfdir}/profile.d/qt.sh ] && . %{_sysconfdir}/profile.d/qt.sh
  [ -f %{_sysconfdir}/profile.d/qtdir3.sh ] && . %{_sysconfdir}/profile.d/qtdir3.sh
  [ -f %{_sysconfdir}/SuSEconfig/profile ] && . %{_sysconfdir}/SuSEconfig/profile
}
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DDIR="${RPM_BUILD_ROOT}/" install
rm -fr $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/fwbuilder%{BUILD_VERSION}
/usr/share/fwbuilder%{BUILD_VERSION}/locale/*
/usr/share/fwbuilder%{BUILD_VERSION}/platform/*
/usr/share/fwbuilder%{BUILD_VERSION}/os/*
/usr/share/fwbuilder%{BUILD_VERSION}/resources.xml
/usr/share/fwbuilder%{BUILD_VERSION}/objects_init.xml
/usr/share/fwbuilder%{BUILD_VERSION}/templates.xml
/usr/bin/fwbuilder
/usr/bin/fwblookup
/usr/bin/fwbedit
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/README.ipf
%doc doc/README.ipfw
%doc doc/README.ipt
%doc doc/README.pf
%doc doc/README.pix
%doc doc/README.iosacl
%doc doc/README.routing
%doc doc/README.policy_import
%doc doc/FWBuilder-Routing-LICENSE.txt
%doc doc/ReleaseNotes_2.1.*
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwblookup.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_ipf.1*
%{_mandir}/man1/fwb_ipfw.1*
%{_mandir}/man1/fwb_pf.1*
%{_mandir}/man1/fwb_pix.1*
%{_mandir}/man1/fwb_iosacl.1*

%package pf
Summary: policy compiler for OpenBSD pf
Group:          %{compgroup}

%description pf
Policy compiler for OpenBSD PF

%files pf
%defattr(-,root,root)
/usr/bin/fwb_pf
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.pf
%{_mandir}/man1/fwb_pf.1*


%package ipf
Summary: policy compiler for ipfilter
Group:          %{compgroup}

%description ipf
Policy compiler for ipfilter

%files ipf
%defattr(-,root,root)
/usr/bin/fwb_ipf
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.ipf
%{_mandir}/man1/fwb_ipf.1*


%package ipfw
Summary: policy compiler for ipfw
Group:          %{compgroup}

%description ipfw
Policy compiler for ipfw

%files ipfw
%defattr(-,root,root)
/usr/bin/fwb_ipfw
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.ipfw
%{_mandir}/man1/fwb_ipfw.1*


%package ipt
Summary: policy compiler for iptables
Group:          %{compgroup}

%description ipt
Policy compiler for iptables

%files ipt
%defattr(-,root,root)
/usr/bin/fwb_ipt
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.ipt
%{_mandir}/man1/fwb_ipt.1*

%package pix
Summary: policy compiler for pix
Group:		%{compgroup}

%description pix
Policy compiler for pix

%files pix
%defattr(-,root,root)
/usr/bin/fwb_pix
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.pix
%{_mandir}/man1/fwb_pix.1*

%package iosacl
Summary: policy compiler for iosacl
Group:          %{compgroup}

%description iosacl
Policy compiler for iosacl

%files iosacl
%defattr(-,root,root)
/usr/bin/fwb_iosacl
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.iosacl
%{_mandir}/man1/fwb_iosacl.1*


%changelog
* Mon May 19 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.19
 - Improvements and bug fixes in the GUI
     * fixed bug #1949103: "manpage slightly broken". Minor fixes in
       fwbedit.1 man page.
     * fixed bug #1949438: "parser expects decimal - hex is not accepted".
       Importer for iptables should be able to process "--set-mark" with hex
       argument.
     * fixed bug #1562726: "policy print rule cut-off". Long rulesets would
       not print correctly on Windows, the bottom of the ruleset table was
       just printed solid grey with no rules visible.
 - Improvements and bug fixes in the policy compiler for iptables
     * bug #1938985: Rate in hashlimit in local language
     * fixed bug# 1940504: "Clamp MSS to MTU". Iptables command that invokes
       "-j TCPMSS --clamp-mss-to-pmtu" in FORWARD chain should go before the
       one that matches "--state ESTABLISHED,RELATED" in order to work for
       the packets in these states.
     * partial fix for bugs #1789059 "shadow issue when using action chain"
       and #1945149: "Shadowing test for rules with action chain". The
       mechanism for rule shadowing detection we have at this time can only
       detect shadowing of one rule by another. In case of branching it is a
       combination of the branching rule and rules inside the branch that may
       shadow other rules. I plan to redesign this part of the code in the
       future, but it won't happen in upcoming v3. Meanwhile, I am fixing it
       in 2.1 by making compiler ignore rules with action Branch.
 - Improvements and bug fixes in the policy compiler for PF
     * fixed bug #1821573: "Rule options limits allow for multiple overload
       tables". PF allows only for one "overload" option per rule.
     * fixed bug #1961202: "Pf Timeouts overriden by Optimization". Compiler
       should generate "set optimization" command before "set timeout"
       commands.

* Mon Apr 07 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.18
 - This version includes compilers for Cisco PIX and IOS access lists which were released under GPL.

* Thu Feb 21 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.17
 - This is a bug-fix release. It improves stablility of the policy importer on 64-bit platforms, supports import of iptables policies that use TCPMSS target, fixes problems with built-in RCS on windows when user does not have administrator's rights and comes with nearly 100% Brazilian Portugese translation

* Thu Dec 20 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.16
- Unfortunate bug introduced in 2.1.15 that broke generated firewall script for iptables in case option "use iptables-restore" was on is fixed in this release. Additional checks were added to the generated script for iptables to improve error detection and make sure the GUI properly detects when it terminates with error. Support for load balancing with PF was also added.

* Tue Dec 11 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.15
- This is another bugfix release. Several problems with policy installer running in batch mode have been fixed, also this release resolves compatibility issues with Windows Vista and Mac OS X Leopard.

* Sat Sep 15 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.14
- This is another bugfix release, it comes with numerous improvements in the iptables policy importer and fixes for gcc 4.2 and 4.3

* Sat Aug 04 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.13
- This is bugfix release; its main focus is better support for new features available in PF in OpenBSD 4.1 
  and improvements in built-in policy installer

* Wed Jun 27 2007 Carsten Schoene <cs@linux-administrator.com>
- created changelog in this specfile
- version changed to 2.1.12
- This release comes with support for Cisco IOS access lists and ability
  to import existing iptables and IOS access lists configurations.
  Multiple bug fixes are included as well.

